# objectToQuery

#### objectToQuery(obj) → String
Core/objectToQuery.js 33

  Converts an object representing a set of name/value pairs into a query string, with names and values encoded properly for use in a URL. Values that are arrays will produce multiple values with the same name.

  Name | Type | Description
  --- | --- | ---
  `obj` | Object | The object containing data to encode.

  ##### Returns:

  An encoded query string.

  ##### Example:

      var str = Cesium.objectToQuery({
          key1 : 'some value',
          key2 : 'a/b',
          key3 : ['x', 'y']
      });

  ##### See:

  - queryToObject // str will be: // 'key1=some%20value&key2=a%2Fb&key3=x&key3=y'